scala.concurrent

# SyncVar

#### class SyncVar[A] extends AnyRef

A class to provide safe concurrent access to a mutable cell. All methods are synchronized.

A

  type of the contained value

Source
  SyncVar.scala
Version

  1.0, 10/03/2003

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SyncVar
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SyncVar()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SyncVar[A] to any2stringadd[SyncVar[A]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (SyncVar[A], B)

   Implicit information
     This member is added by an implicit conversion from SyncVar[A] to ArrowAssoc[SyncVar[A]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (SyncVar[A]) ⇒ Boolean, msg: ⇒ Any): SyncVar[A]

   Implicit information
     This member is added by an implicit conversion from SyncVar[A] to Ensuring[SyncVar[A]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (SyncVar[A]) ⇒ Boolean): SyncVar[A]

   Implicit information
     This member is added by an implicit conversion from SyncVar[A] to Ensuring[SyncVar[A]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): SyncVar[A]

    Implicit information
      This member is added by an implicit conversion from SyncVar[A] to Ensuring[SyncVar[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): SyncVar[A]

    Implicit information
      This member is added by an implicit conversion from SyncVar[A] to Ensuring[SyncVar[A]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from SyncVar[A] to StringFormat[SyncVar[A]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### def get(timeout: Long): Option[A]

    Waits for this SyncVar to become defined at least for `timeout` milliseconds (possibly more), and gets its value.

    Waits for this SyncVar to become defined at least for `timeout` milliseconds (possibly more), and gets its value.

    timeout

      the amount of milliseconds to wait, 0 means forever

    returns

      `None` if variable is undefined after `timeout`, `Some(value)` otherwise

17. #### def get: A

    Waits for this SyncVar to become defined and returns the result, without modifying the stored value.

    Waits for this SyncVar to become defined and returns the result, without modifying the stored value.

    returns

      value that is held in this container

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

21. #### def isSet: Boolean

    Checks whether a value is stored in the synchronized variable

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def put(x: A): Unit

    Places a value in the SyncVar.

    Places a value in the SyncVar. If the SyncVar already has a stored value, it waits until another thread takes it

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def take(timeout: Long): A

    Waits for this SyncVar to become defined at least for `timeout` milliseconds (possibly more), and takes its value by first reading and then removing the value from the SyncVar.

    Waits for this SyncVar to become defined at least for `timeout` milliseconds (possibly more), and takes its value by first reading and then removing the value from the SyncVar.

    timeout

      the amount of milliseconds to wait, 0 means forever

    returns

      the value or a throws an exception if the timeout occurs

    Exceptions thrown
      NoSuchElementException

      on timeout

28. #### def take(): A

    Waits for this SyncVar to become defined and returns the result, unsetting the stored value before returning.

    Waits for this SyncVar to become defined and returns the result, unsetting the stored value before returning.

    returns

      value that was held in this container

29. #### def toString(): String

    Definition Classes
      AnyRef → Any

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def →[B](y: B): (SyncVar[A], B)

    Implicit information
      This member is added by an implicit conversion from SyncVar[A] to ArrowAssoc[SyncVar[A]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def set(x: A): Unit

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `put` instead, as `set` is potentionally error-prone

2. #### def unset(): Unit

   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `take` instead, as `unset` is potentionally error-prone

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SyncVar[A] to any2stringadd[SyncVar[A]]

### Inherited by implicit conversion StringFormat from SyncVar[A] to StringFormat[SyncVar[A]]

### Inherited by implicit conversion Ensuring from SyncVar[A] to Ensuring[SyncVar[A]]

### Inherited by implicit conversion ArrowAssoc from SyncVar[A] to ArrowAssoc[SyncVar[A]]

### Ungrouped